## cascading.tuple
Class TupleInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.DataInputStream
                  cascading.tuple.TupleInputStream

All Implemented Interfaces:
  Closeable, DataInput

    public class TupleInputStream

extends DataInputStream

Class TupleInputStream is used internally to read Tuples from storage.

Nested Class Summary
`static interface` `TupleInputStream.ElementReader`

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`TupleInputStream(InputStream inputStream)`
`TupleInputStream(InputStream inputStream, TupleInputStream.ElementReader elementReader)`

Method Summary
`void` `close()`
`Comparator` `getComparatorFor(int type)`
`InputStream` `getInputStream()`
`Object` `getNextElement()`
`int` `getNumElements()`
`IndexTuple` `readIndexTuple()`
`IndexTuple` `readIndexTuple(IndexTuple indexTuple)`
`String` `readString()`
`int` `readToken()`
`Tuple` `readTuple()`
`Tuple` `readTuple(Tuple tuple)`
`TuplePair` `readTuplePair()`
`TuplePair` `readTuplePair(TuplePair tuplePair)`
`int` `readVInt()`
`long` `readVLong()`

Methods inherited from class java.io.DataInputStream
`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleInputStream

    public TupleInputStream(InputStream inputStream,
                            TupleInputStream.ElementReader elementReader)

### TupleInputStream

    public TupleInputStream(InputStream inputStream)

Method Detail

### getInputStream

    public InputStream getInputStream()

### readTuple

    public Tuple readTuple()
                    throws IOException

  Throws:
    `IOException`

### readTuple

    public Tuple readTuple(Tuple tuple)
                    throws IOException

  Throws:
    `IOException`

### getNumElements

    public int getNumElements()
                       throws IOException

  Throws:
    `IOException`

### readToken

    public int readToken()
                  throws IOException

  Throws:
    `IOException`

### getNextElement

    public Object getNextElement()
                          throws IOException

  Throws:
    `IOException`

### readTuplePair

    public TuplePair readTuplePair()
                            throws IOException

  Throws:
    `IOException`

### readTuplePair

    public TuplePair readTuplePair(TuplePair tuplePair)
                            throws IOException

  Throws:
    `IOException`

### readIndexTuple

    public IndexTuple readIndexTuple()
                              throws IOException

  Throws:
    `IOException`

### readIndexTuple

    public IndexTuple readIndexTuple(IndexTuple indexTuple)
                              throws IOException

  Throws:
    `IOException`

### readVLong

    public long readVLong()
                   throws IOException

  Throws:
    `IOException`

### readVInt

    public int readVInt()
                 throws IOException

  Throws:
    `IOException`

### readString

    public String readString()
                      throws IOException

  Throws:
    `IOException`

### getComparatorFor

    public Comparator getComparatorFor(int type)
                                throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterInputStream`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.